Package org.eclipse.birt.report.model.api.validators

# Class StructureReferenceValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractPropertyValidator
org.eclipse.birt.report.model.api.validators.StructureReferenceValidator

public class StructureReferenceValidator extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator
Validates the property whose type is structure reference. If the value can refer to an actual structure, it will be resolved after validation. The rule is that the structure reference value should refer to an actual structure in the same report design.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Name of this validator.

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`StructureReferenceValidator()`

## Method Summary

Modifier and Type
Method
Description
`static StructureReferenceValidator`
`getInstance()`
Returns the singleton validator instance.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)`
Validates the structure reference value can refer to an actual structure.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of this validator.

See Also:
  - Constant Field Values

## Constructor Details

### StructureReferenceValidator

public StructureReferenceValidator()

## Method Details

### getInstance

public static StructureReferenceValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)
Validates the structure reference value can refer to an actual structure.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
Parameters:
  `module` - the module
  `element` - the element holding the structure reference property
  `propName` - the name of the structure reference property
Returns:
  error list, each of which is the instance of `SemanticException`.